﻿#language: ru

Функционал: 10_milk_scenario. Заполнение справочника Упаковки номенклатуры

Сценарий: 10_milk_scenario. Упаковки для Российский 50%
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Российский 50% (Номенклатура)'
	И у поля с именем "ГиперссылкаПерейтиУпаковкиНоменклатуры" я нажимаю гиперссылку 'Список (0)'
	Тогда открылось окно 'Упаковки (Российский 50%)'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковки и единицы измерения (создание)'
	И я нажимаю кнопку выбора у поля "Единица по классификатору"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковки и единицы измерения (создание) *'
	И в поле с именем 'Числитель' я ввожу текст '3,500'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Упаковки и единицы измерения (создание) *' в течение 20 секунд
	Тогда открылось окно 'Упаковки (Российский 50%)'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковки и единицы измерения (создание)'
	И я нажимаю кнопку выбора у поля "Единица по классификатору"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'NMP'                      | 'упак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковки и единицы измерения (создание) *'
	И в поле 'КоличествоУпаковок' я ввожу текст '2'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Упаковки и единицы измерения (создание) *' в течение 20 секунд
	Тогда открылось окно 'Упаковки (Российский 50%)'
	И Я закрываю окно 'Упаковки (Российский 50%)'
	Тогда открылось окно 'Российский 50% (Номенклатура)'
	И я нажимаю на кнопку "Штрихкоды"
	Тогда открылось окно 'Штрихкоды номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
	И я нажимаю на кнопку 'Новый штрихкод'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание) *'
	И я нажимаю кнопку выбора у поля "Ед. изм."
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "УпаковкиЕдиницыИзмерения" я перехожу к строке:
		| 'Наименование' |
		| 'упак (7 кг)'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Штрихкоды номенклатуры'
	И Я закрываю окно 'Штрихкоды номенклатуры'
	Тогда открылось окно 'Российский 50% (Номенклатура)'
	И я перехожу к закладке "Логистика"
	И я нажимаю кнопку выбора у поля "Упаковка по умолчанию"
	Тогда открылось окно 'Выберите упаковку'
	И в таблице "Список" я перехожу к строке:
		| 'Упаковки'    |
		| 'упак (7 кг)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Российский 50% (Номенклатура) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Российский 50% (Номенклатура) *' в течение 20 секунд
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'
	И Я закрыл все окна клиентского приложения